Bug 770611 - [abrt] audacious-2.5.4-1.fc15: cdaudio-ng: longjmp causes uninitialized stack frame
Summary: [abrt] audacious-2.5.4-1.fc15: cdaudio-ng: longjmp causes uninitialized stack...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcddb
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:06db903fa81c78d4a1102958afc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-28 02:28 UTC by bugzilla
Modified: 2012-01-07 23:09 UTC (History)
3 users (show)

Fixed In Version: libcddb-1.3.2-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-07 23:01:00 UTC


Attachments (Terms of Use)
File: backtrace (27.58 KB, text/plain)
2011-12-28 02:28 UTC, bugzilla
no flags Details

Description bugzilla 2011-12-28 02:28:42 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/bin/audacious
comment:        I inserted an audio CD. I then opened Audacious, which already had the CD tracks in its playlist. I hit play.
component:      audacious
executable:     /usr/bin/audacious
kernel:         2.6.41.4-1.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        audacious-2.5.4-1.fc15
reason:         Process /usr/bin/audacious was killed by signal 6 (SIGABRT)
time:           Tue Dec 27 19:46:54 2011
uid:            500
username:       yashabk
var_log_messages: Dec 27 17:46:54 minus abrt[3217]: saved core dump of pid 3202 (/usr/bin/audacious) to /var/spool/abrt/ccpp-2011-12-27-17:46:54-3202.new/coredump (63901696 bytes)

backtrace:      Text file, 28238 bytes

build_ids:
:c3388d93240d1291946498898b095ba7cf127436
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:9d3db34e590021058770f14a0ea3c9d87befc78e
:3927765123deba11b2307704ac3f8b8b86f600b0
:177452c458dbd4322d2fb524e0ede4fec9020580
:617ed119e2ba2784a2d576977bcf5ee7f64a3e28
:7cde8206ad97ddf378cc9e6843180535983b0efc
:e18695e040cee33414bc758c8716824d97f1ee7d
:13794667a267185532b4ef7984bc237eb88ff6ae
:5629dfcc5486ad04e577592cfaa3cc88ac3bece0
:34d715e2766f8694271730798a4b8e1605ec93ea
:8981a35be6b02de75b5f1bcd5b0871ff85ba6eb1
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:25c5e67291f34713a82cdf92147adec423771905
:92a9033bbedc303317346dc414914fec5643bd7b
:fe39dd5a2050614d731cbb3af4f01e0448e0d5f8
:9551a4dab6275a0745808fd9c5d289ed6bce6be4
:ee63e5246566596cb39937efbb75e74704018e91
:3eeb5998cfe8003d9e0a709a0ad7911734573845
:6f87ea21308989c674f40d270f35514bbed96401
:5a4b4eca5a07087498a211616ade557aa901d893
:6dfc1f2eda76028f813152fae12a161f43c96abc
:b7eaea0556b2d266ac093ffb0c70b1e7e8a01a0c
:28949fb20915439a05a16f0c51ec8834ff86f459
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:015461eb1dbf4f80b87a572a36090bc191d86534
:64e6912d10e111cd12964bdcc6de8b3baa4058a0
:84e26e803c112ad660e1653e7acc5a9587a24573
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:64b179f00cdb231429678a327048cf465a272b6f
:b3456c28a680d2f3aa5e578fcb671a0d4f7d093d
:2dc4e4ea515eca25191148452fac07de08443eb8
:ad5257c604dcd02ad0d33d1d3361ace5866ecc1b
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:98dddb65b136050c7460ca69ade95d01f87d6952
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:0e356c7e13494a01e32ceab622e7ee7c195e08a7
:9b8ad9b1b42aede5e9465c0d439e3fcdbb5a5383
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:eaf669142d6d403d74b04952ad7c51d12d53387b
:837e1ca00132cf34660139487cceaddde3d607c5
:3129a9ad09731aa6dd47add2328ba88bff6d0be4
:07fcedef1f951a847d2662baf33cc75db56632db
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:c25551e4f8f283ab55cb499112f486009e924d42
:437b2157d7be7036ed209c4ae5c9c5e92d435234
:23d1086014ed5544b3df4cee1f95694032252322
:596747ce3b9e966753abd4a1d3dbbdc175004141
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:3df399f658756fcb37e4b0680b18df2475e697eb
:8ded2b38be39099826cde4514364c4316663cba1
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:e909238f800d86b7e2aaba164a007e7a965830b5
:de6a505586d1f5b200592e907c5364d38e277c86
:82feaea9b5df5d4346966e2c9cd7ce9e58e4d0ca
:be56dddbe3b0bc8005095671af196107d4e8aa05
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:2fc0d5ed8d65bdfd1e00a8a72333ec6e1f116d3e
:1a0cdfc4677f88f6cff07efce0368a3c1635ec37
:b2df9130b02a7bca31c7d1c8e8358f45eda9c554
:7855ef7dd484fa171b59e4a32e9bfbfc52cb1cde
:85557c4770ef71e2319dcce71f95ceb3e2d794e4
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:556dc456e04150d23e59763dce9a3be937267957
:5c5eab4f0211c0e5154839e8bb9417692cc08fec
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:94c3da1e3566c757f6b87166fb7416db2dff479f
:c833d1602084a2aefe852c6c9838a2beea3d2280
:4709482862f00637bedaf5eeda381d3c6ecf2996
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:4d584b475e47d70151cb5c21e783c18d2bffe0a1
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:c6b65b640edd8ad6f0d5134b337962ea6e93bae3
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1311060809
:/usr/lib/libaudgui.so.1.0.0 audacious-libs-2.5.4-1.fc15.i686 (Fedora Project) 1311818353
:/usr/lib/libgtk-x11-2.0.so.0.2400.7 gtk2-2.24.7-3.fc15.i686 (Fedora Project) 1321743010
:/usr/lib/audacious/Container/xspf.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305315855
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libgdk-x11-2.0.so.0.2400.7 gtk2-2.24.7-3.fc15.i686 (Fedora Project) 1321743010
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/lib/libnss_dns-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315831
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309641348
:/usr/lib/audacious/Output/alsa.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/usr/lib/libaudclient.so.2.0.0 audacious-libs-2.5.4-1.fc15.i686 (Fedora Project) 1311818353
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1313120473
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309641348
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305315833
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libmcs.so.1.0.0 libmcs-0.7.2-4.fc15.i686 (Fedora Project) 1309642305
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libcdio.so.12.0.0 libcdio-0.82-4.fc15.i686 (Fedora Project) 1309642308
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315835
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315834
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.i686 (Fedora Project) 1305315849
:/lib/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc15.i686 (Fedora Project) 1317651893
:/usr/lib/audacious/General/cd-menu-items.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315834
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libguess.so.1.0.0 libguess-1.0-2.fc15.i686 (Fedora Project) 1309642403
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315910
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1309641352
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315910
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315855
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315833
:/usr/lib/mcs/gconf.so libmcs-0.7.2-4.fc15.i686 (Fedora Project) 1309642305
:/usr/lib/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.i686 (Fedora Project) 1305315837
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.i686 (Fedora Project) 1311414940
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312327814
:/usr/lib/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/audacious/General/gnomeshortcuts.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/usr/lib/alsa-lib/libasound_module_ctl_pulse.so alsa-plugins-pulseaudio-1.0.24-2.fc15.i686 (Fedora Project) 1305315897
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-3.fc15.i686 (Fedora Project) 1322794917
:/usr/lib/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315835
:/usr/bin/audacious audacious-2.5.4-1.fc15.i686 (Fedora Project) 1311818355
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315836
:/usr/lib/audacious/General/gtkui.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/lib/libz.so.1.2.5 zlib-1.2.5-5.fc15.i686 (Fedora Project) 1322794912
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309641348
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315910
:/usr/lib/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315837
:/usr/lib/audacious/Transport/unix-io.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309641348
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libaudcore.so.1.0.0 audacious-libs-2.5.4-1.fc15.i686 (Fedora Project) 1311818353
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1305315835
:/lib/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.i686 (Fedora Project) 1305315861
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.i686 (Fedora Project) 1311060809
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/gtk-2.0/2.10.0/engines/liboxygen-gtk.so oxygen-gtk-1.0.5-1.fc15.i686 (Fedora Project) 1309641671
:/usr/lib/libcddb.so.2.2.3 libcddb-1.3.2-5.fc15.i686 (Fedora Project) 1309642400
:/usr/lib/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.i686 (Fedora Project) 1305315876
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1313120485
:/lib/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.i686 (Fedora Project) 1305315833
:/usr/lib/libaudtag.so.1.0.0 audacious-libs-2.5.4-1.fc15.i686 (Fedora Project) 1311818353
:/usr/lib/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1305315833
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.1-9.fc15.i686 (Fedora Project) 1317651898
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.i686 (Fedora Project) 1305315836
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1305315836
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315835
:/usr/lib/libmowgli.so.2.0.0 libmowgli-0.9.50-1.fc15.i686 (Fedora Project) 1310532684
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1305315837
:/usr/lib/libcdio_cdda.so.0.0.5 libcdio-0.82-4.fc15.i686 (Fedora Project) 1309642308
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309641348
:/usr/lib/mcs/keyfile.so libmcs-0.7.2-4.fc15.i686 (Fedora Project) 1309642305
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315831
:/usr/lib/audacious/Input/cdaudio-ng.so audacious-plugins-2.5.4-2.fc15.i686 (Fedora Project) 1315709128
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315836
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315834
:/usr/lib/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315837
:/lib/libnsl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313120485
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-7.fc15.i686 (Fedora Project) 1323029118
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315858
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1305315835

environ:
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1292
:HOSTNAME=minus.localdomain
:DM_CONTROL=/var/run/xdmctl
:GPG_AGENT_INFO=/tmp/gpg-XYmwyj/S.gpg-agent:1315:1
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2bf8e43305c314382e29277400000015-1325022386.724207-688017987
:XDM_MANAGED=method=classic,auto
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/yashabk/.gtkrc-2.0:/home/yashabk/.gtkrc-2.0-kde4:/home/yashabk/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:USER=yashabk
:SSH_AUTH_SOCK=/tmp/ssh-IQuSKJ1259/agent.1259
:MAIL=/var/spool/mail/yashabk
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/yashabk/bin
:PWD=/home/yashabk
:KDE_SESSION_UID=500
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/yashabk
:KDE_SESSION_VERSION=4
:LOGNAME=yashabk
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-N1rvVwCuyo,guid=ea219773065557bccb24a46000000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/yashabk
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/yashabk/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-yashabk/xauth-500-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1391,unix/unix:/tmp/.ICE-unix/1391
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/yashabk/.gtkrc::/home/yashabk/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:DESKTOP_STARTUP_ID=minus.localdomain;1325033191;968917;1489_TIME9496402

maps:
:00110000-001f2000 r-xp 00000000 fd:02 11369      /usr/lib/libstdc++.so.6.0.16
:001f2000-001f6000 r--p 000e1000 fd:02 11369      /usr/lib/libstdc++.so.6.0.16
:001f6000-001f8000 rw-p 000e5000 fd:02 11369      /usr/lib/libstdc++.so.6.0.16
:001f8000-001fe000 rw-p 00000000 00:00 0 
:001fe000-00200000 r-xp 00000000 fd:02 2359372    /usr/lib/audacious/General/gnomeshortcuts.so
:00200000-00201000 rw-p 00001000 fd:02 2359372    /usr/lib/audacious/General/gnomeshortcuts.so
:00201000-0021a000 r-xp 00000000 fd:02 2359374    /usr/lib/audacious/General/gtkui.so
:0021a000-0021c000 rw-p 00018000 fd:02 2359374    /usr/lib/audacious/General/gtkui.so
:0021c000-00223000 r-xp 00000000 fd:02 2359385    /usr/lib/audacious/Input/cdaudio-ng.so
:00223000-00224000 rw-p 00006000 fd:02 2359385    /usr/lib/audacious/Input/cdaudio-ng.so
:00224000-0022b000 r-xp 00000000 fd:02 41038      /usr/lib/libcdio_cdda.so.0.0.5
:0022b000-0022c000 rw-p 00006000 fd:02 41038      /usr/lib/libcdio_cdda.so.0.0.5
:0022c000-0024b000 r-xp 00000000 fd:02 25230      /usr/lib/libcdio.so.12.0.0
:0024b000-0024c000 rw-p 0001e000 fd:02 25230      /usr/lib/libcdio.so.12.0.0
:0024c000-00250000 rw-p 00000000 00:00 0 
:00250000-00260000 r-xp 00000000 fd:02 27095      /usr/lib/libcddb.so.2.2.3
:00260000-00261000 rw-p 00010000 fd:02 27095      /usr/lib/libcddb.so.2.2.3
:00261000-00267000 r-xp 00000000 fd:02 8938       /lib/libnss_dns-2.14.so
:00267000-00268000 r--p 00005000 fd:02 8938       /lib/libnss_dns-2.14.so
:00268000-00269000 rw-p 00006000 fd:02 8938       /lib/libnss_dns-2.14.so
:002ec000-002f4000 r-xp 00000000 fd:02 2359394    /usr/lib/audacious/Output/alsa.so
:002f4000-002f5000 rw-p 00008000 fd:02 2359394    /usr/lib/audacious/Output/alsa.so
:0052d000-0052e000 r-xp 00000000 00:00 0          [vdso]
:005b6000-005c1000 r-xp 00000000 fd:02 27831      /lib/libnss_files-2.14.so
:005c1000-005c2000 r--p 0000a000 fd:02 27831      /lib/libnss_files-2.14.so
:005c2000-005c3000 rw-p 0000b000 fd:02 27831      /lib/libnss_files-2.14.so
:008e9000-009d2000 r-xp 00000000 fd:02 52362      /usr/lib/gtk-2.0/2.10.0/engines/liboxygen-gtk.so
:009d2000-009d5000 rw-p 000e8000 fd:02 52362      /usr/lib/gtk-2.0/2.10.0/engines/liboxygen-gtk.so
:009d5000-009d6000 rw-p 00000000 00:00 0 
:00a93000-00a97000 r-xp 00000000 fd:02 29458      /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
:00a97000-00a98000 rw-p 00004000 fd:02 29458      /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
:00b6f000-00b72000 r-xp 00000000 fd:02 2367193    /usr/lib/mcs/keyfile.so
:00b72000-00b73000 rw-p 00003000 fd:02 2367193    /usr/lib/mcs/keyfile.so
:00c5d000-00c5f000 r-xp 00000000 fd:02 2359321    /usr/lib/audacious/Container/xspf.so
:00c5f000-00c60000 rw-p 00002000 fd:02 2359321    /usr/lib/audacious/Container/xspf.so
:00c7f000-00c81000 r-xp 00000000 fd:02 2367192    /usr/lib/mcs/gconf.so
:00c81000-00c82000 rw-p 00001000 fd:02 2367192    /usr/lib/mcs/gconf.so
:00c82000-00c83000 rw-p 00000000 00:00 0 
:00d85000-00d86000 r-xp 00000000 fd:02 2359371    /usr/lib/audacious/General/cd-menu-items.so
:00d86000-00d87000 rw-p 00000000 fd:02 2359371    /usr/lib/audacious/General/cd-menu-items.so
:00ddb000-00ddd000 r-xp 00000000 fd:02 2359457    /usr/lib/audacious/Transport/unix-io.so
:00ddd000-00dde000 rw-p 00001000 fd:02 2359457    /usr/lib/audacious/Transport/unix-io.so
:08045000-08089000 r-xp 00000000 fd:02 30276      /usr/bin/audacious
:08089000-0808b000 rw-p 00044000 fd:02 30276      /usr/bin/audacious
:0808b000-0808d000 rw-p 00000000 00:00 0 
:092b2000-094d6000 rw-p 00000000 00:00 0          [heap]
:42843000-42860000 r-xp 00000000 fd:02 14770      /lib/ld-2.14.so
:42860000-42861000 r--p 0001d000 fd:02 14770      /lib/ld-2.14.so
:42861000-42862000 rw-p 0001e000 fd:02 14770      /lib/ld-2.14.so
:42864000-429e9000 r-xp 00000000 fd:02 27715      /lib/libc-2.14.so
:429e9000-429ea000 ---p 00185000 fd:02 27715      /lib/libc-2.14.so
:429ea000-429ec000 r--p 00185000 fd:02 27715      /lib/libc-2.14.so
:429ec000-429ed000 rw-p 00187000 fd:02 27715      /lib/libc-2.14.so
:429ed000-429f0000 rw-p 00000000 00:00 0 
:429f2000-42a1a000 r-xp 00000000 fd:02 39093      /lib/libm-2.14.so
:42a1a000-42a1b000 r--p 00028000 fd:02 39093      /lib/libm-2.14.so
:42a1b000-42a1c000 rw-p 00029000 fd:02 39093      /lib/libm-2.14.so
:42a1e000-42a34000 r-xp 00000000 fd:02 39090      /lib/libpthread-2.14.so
:42a34000-42a35000 r--p 00015000 fd:02 39090      /lib/libpthread-2.14.so
:42a35000-42a36000 rw-p 00016000 fd:02 39090      /lib/libpthread-2.14.so
:42a36000-42a38000 rw-p 00000000 00:00 0 
:42a3a000-42a3d000 r-xp 00000000 fd:02 27772      /lib/libdl-2.14.so
:42a3d000-42a3e000 r--p 00002000 fd:02 27772      /lib/libdl-2.14.so
:42a3e000-42a3f000 rw-p 00003000 fd:02 27772      /lib/libdl-2.14.so
:42a60000-42a67000 r-xp 00000000 fd:02 27786      /lib/librt-2.14.so
:42a67000-42a68000 r--p 00006000 fd:02 27786      /lib/librt-2.14.so
:42a68000-42a69000 rw-p 00007000 fd:02 27786      /lib/librt-2.14.so
:42a83000-42aa0000 r-xp 00000000 fd:02 39115      /lib/libselinux.so.1
:42aa0000-42aa1000 r--p 0001c000 fd:02 39115      /lib/libselinux.so.1
:42aa1000-42aa2000 rw-p 0001d000 fd:02 39115      /lib/libselinux.so.1
:42aa4000-42bbc000 r-xp 00000000 fd:02 39111      /lib/libglib-2.0.so.0.2800.8
:42bbc000-42bbd000 rw-p 00118000 fd:02 39111      /lib/libglib-2.0.so.0.2800.8
:42bbf000-42bd5000 r-xp 00000000 fd:02 39114      /lib/libresolv-2.14.so
:42bd5000-42bd6000 r--p 00016000 fd:02 39114      /lib/libresolv-2.14.so
:42bd6000-42bd7000 rw-p 00017000 fd:02 39114      /lib/libresolv-2.14.so
:42bd7000-42bd9000 rw-p 00000000 00:00 0 
:42bdb000-42c2e000 r-xp 00000000 fd:02 16485      /usr/lib/libORBit-2.so.0.1.0
:42c2e000-42c38000 rw-p 00052000 fd:02 16485      /usr/lib/libORBit-2.so.0.1.0
:42ccb000-42ccf000 r-xp 00000000 fd:02 39112      /lib/libgthread-2.0.so.0.2800.8
:42ccf000-42cd0000 rw-p 00003000 fd:02 39112      /lib/libgthread-2.0.so.0.2800.8
:42e0d000-42e2a000 r-xp 00000000 fd:02 39106      /usr/lib/libxcb.so.1.1.0
:42e2a000-42e2b000 rw-p 0001d000 fd:02 39106      /usr/lib/libxcb.so.1.1.0
:42e2d000-42e2f000 r-xp 00000000 fd:02 12009      /usr/lib/libXau.so.6.0.0
:42e2f000-42e30000 rw-p 00001000 fd:02 12009      /usr/lib/libXau.so.6.0.0
:42e32000-42e7e000 r-xp 00000000 fd:02 39133      /lib/libgobject-2.0.so.0.2800.8
:42e7e000-42e80000 rw-p 0004b000 fd:02 39133      /lib/libgobject-2.0.so.0.2800.8
:42e82000-42ec9000 r-xp 00000000 fd:02 17678      /lib/libdbus-1.so.3.5.4
:42ec9000-42eca000 ---p 00047000 fd:02 17678      /lib/libdbus-1.so.3.5.4
:42eca000-42ecb000 r--p 00047000 fd:02 17678      /lib/libdbus-1.so.3.5.4
:42ecb000-42ecc000 rw-p 00048000 fd:02 17678      /lib/libdbus-1.so.3.5.4
:42ece000-42ed2000 r-xp 00000000 fd:02 39128      /lib/libuuid.so.1.3.0
:42ed2000-42ed3000 rw-p 00003000 fd:02 39128      /lib/libuuid.so.1.3.0
:42ee8000-42f0e000 r-xp 00000000 fd:02 39102      /lib/libexpat.so.1.5.2
:42f0e000-42f10000 rw-p 00026000 fd:02 39102      /lib/libexpat.so.1.5.2
:432c3000-432d9000 r-xp 00000000 fd:02 28177      /usr/lib/libICE.so.6.3.0
:432d9000-432db000 rw-p 00015000 fd:02 28177      /usr/lib/libICE.so.6.3.0
:432db000-432dc000 rw-p 00000000 00:00 0 
:43314000-4331b000 r-xp 00000000 fd:02 39129      /usr/lib/libSM.so.6.0.1
:4331b000-4331c000 rw-p 00006000 fd:02 39129      /usr/lib/libSM.so.6.0.1
:433c6000-433ea000 r-xp 00000000 fd:02 23553      /usr/lib/libdbus-glib-1.so.2.1.0
:433ea000-433eb000 rw-p 00024000 fd:02 23553      /usr/lib/libdbus-glib-1.so.2.1.0
:4345e000-434a5000 r-xp 00000000 fd:02 11811      /usr/lib/libpango-1.0.so.0.2800.4
:434a5000-434a7000 rw-p 00046000 fd:02 11811      /usr/lib/libpango-1.0.so.0.2800.4
:43563000-43580000 r-xp 00000000 fd:02 39330      /usr/lib/libatk-1.0.so.0.9.1
:43580000-43582000 rw-p 0001c000 fd:02 39330      /usr/lib/libatk-1.0.so.0.9.1
:43584000-435fb000 r-xp 00000000 fd:02 39324      /usr/lib/libpixman-1.so.0.20.2
:435fb000-435ff000 rw-p 00076000 fd:02 39324      /usr/lib/libpixman-1.so.0.20.2
:44d19000-44d1c000 r-xp 00000000 fd:02 35177      /lib/libgmodule-2.0.so.0.2800.8
:44d1c000-44d1d000 rw-p 00002000 fd:02 35177      /lib/libgmodule-2.0.so.0.2800.8
:4549e000-454b4000 r-xp 00000000 fd:02 16765      /lib/libnsl-2.14.so
:454b4000-454b5000 r--p 00016000 fd:02 16765      /lib/libnsl-2.14.so
:454b5000-454b6000 rw-p 00017000 fd:02 16765      /lib/libnsl-2.14.so
:454b6000-454b8000 rw-p 00000000 00:00 0 
:456bc000-456c2000 r-xp 00000000 fd:02 39177      /usr/lib/libogg.so.0.7.1
:456c2000-456c3000 rw-p 00005000 fd:02 39177      /usr/lib/libogg.so.0.7.1
:45737000-4573a000 r-xp 00000000 fd:02 39175      /usr/lib/libxcb-atom.so.1.0.0
:4573a000-4573b000 rw-p 00002000 fd:02 39175      /usr/lib/libxcb-atom.so.1.0.0
:4573d000-45767000 r-xp 00000000 fd:02 39179      /usr/lib/libvorbis.so.0.4.5
:45767000-45768000 rw-p 00029000 fd:02 39179      /usr/lib/libvorbis.so.0.4.5
:457e9000-457ee000 r-xp 00000000 fd:02 39184      /usr/lib/libasyncns.so.0.3.1
:457ee000-457ef000 rw-p 00004000 fd:02 39184      /usr/lib/libasyncns.so.0.3.1
:457f1000-45957000 r-xp 00000000 fd:02 39180      /usr/lib/libvorbisenc.so.2.0.8
:45957000-45968000 rw-p 00165000 fd:02 39180      /usr/lib/libvorbisenc.so.2.0.8
:459ea000-459f2000 r-xp 00000000 fd:02 39176      /lib/libwrap.so.0.7.6
:459f2000-459f3000 rw-p 00008000 fd:02 39176      /lib/libwrap.so.0.7.6
:459f5000-45a61000 r-xp 00000000 fd:02 39183      /usr/lib/libsndfile.so.1.0.25
:45a61000-45a63000 rw-p 0006c000 fd:02 39183      /usr/lib/libsndfile.so.1.0.25
:45a63000-45a67000 rw-p 00000000 00:00 0 
:45a69000-45aa5000 r-xp 00000000 fd:02 39178      /usr/lib/libFLAC.so.8.2.0
:45aa5000-45aa6000 rw-p 0003c000 fd:02 39178      /usr/lib/libFLAC.so.8.2.0
:4a6e4000-4a6f9000 r-xp 00000000 fd:02 32177      /lib/libz.so.1.2.5
:4a6f9000-4a6fa000 rw-p 00014000 fd:02 32177      /lib/libz.so.1.2.5
:4a6fc000-4a724000 r-xp 00000000 fd:02 41113      /usr/lib/libpng12.so.0.46.0
:4a724000-4a725000 rw-p 00027000 fd:02 41113      /usr/lib/libpng12.so.0.46.0
:4a766000-4a79d000 r-xp 00000000 fd:02 24601      /usr/lib/libgconf-2.so.4.1.5
:4a79d000-4a7a0000 rw-p 00036000 fd:02 24601      /usr/lib/libgconf-2.so.4.1.5
:4a8b3000-4a8c1000 r-xp 00000000 fd:02 13780      /usr/lib/libXi.so.6.1.0
:4a8c1000-4a8c2000 rw-p 0000d000 fd:02 13780      /usr/lib/libXi.so.6.1.0
:4a91c000-4aa64000 r-xp 00000000 fd:02 51064      /usr/lib/libxml2.so.2.7.8
:4aa64000-4aa69000 rw-p 00147000 fd:02 51064      /usr/lib/libxml2.so.2.7.8
:4aa69000-4aa6a000 rw-p 00000000 00:00 0 
:4aa6c000-4aa8e000 r-xp 00000000 fd:02 51308      /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:4aa8e000-4aa8f000 rw-p 00021000 fd:02 51308      /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:4b1d0000-4b1d5000 r-xp 00000000 fd:02 51049      /usr/lib/libXtst.so.6.1.0
:4b1d5000-4b1d6000 rw-p 00004000 fd:02 51049      /usr/lib/libXtst.so.6.1.0
:4bc3e000-4bcd4000 r-xp 00000000 fd:02 10785      /usr/lib/libfreetype.so.6.6.2
:4bcd4000-4bcd8000 rw-p 00095000 fd:02 10785      /usr/lib/libfreetype.so.6.6.2
:4bcda000-4bd0d000 r-xp 00000000 fd:02 11278      /usr/lib/libfontconfig.so.1.4.4
:4bd0d000-4bd0e000 rw-p 00033000 fd:02 11278      /usr/lib/libfontconfig.so.1.4.4
:4bd10000-4bd3c000 r-xp 00000000 fd:02 21758      /usr/lib/libpangoft2-1.0.so.0.2800.4
:4bd3c000-4bd3d000 rw-p 0002b000 fd:02 21758      /usr/lib/libpangoft2-1.0.so.0.2800.4
:4bd3f000-4bd4a000 r-xp 00000000 fd:02 23088      /usr/lib/libpangocairo-1.0.so.0.2800.4
:4bd4a000-4bd4b000 rw-p 0000a000 fd:02 23088      /usr/lib/libpangocairo-1.0.so.0.2800.4
:4bd4d000-4be01000 r-xp 00000000 fd:02 23084      /usr/lib/libcairo.so.2.11000.2
:4be01000-4be03000 rw-p 000b3000 fd:02 23084      /usr/lib/libcairo.so.2.11000.2
:4be03000-4be05000 rw-p 00000000 00:00 0 
:4be07000-4bec0000 r-xp 00000000 fd:02 23089      /usr/lib/libgdk-x11-2.0.so.0.2400.7
:4bec0000-4bec3000 rw-p 000b9000 fd:02 23089      /usr/lib/libgdk-x11-2.0.so.0.2400.7
:4bec5000-4beda000 r-xp 00000000 fd:02 34098      /usr/lib/libaudgui.so.1.0.0
:4beda000-4bedb000 rw-p 00015000 fd:02 34098      /usr/lib/libaudgui.so.1.0.0
:4c1fa000-4c324000 r-xp 00000000 fd:02 49973      /lib/libgio-2.0.so.0.2800.8
:4c324000-4c327000 rw-p 00129000 fd:02 49973      /lib/libgio-2.0.so.0.2800.8
:4c327000-4c328000 rw-p 00000000 00:00 0 
:4c32a000-4c7ca000 r-xp 00000000 fd:02 23091      /usr/lib/libgtk-x11-2.0.so.0.2400.7
:4c7ca000-4c7d0000 rw-p 004a0000 fd:02 23091      /usr/lib/libgtk-x11-2.0.so.0.2400.7
:4c7d0000-4c7d1000 rw-p 00000000 00:00 0 
:4c9b1000-4c9cd000 r-xp 00000000 fd:02 10070      /lib/libgcc_s-4.6.1-20110908.so.1
:4c9cd000-4c9ce000 rw-p 0001b000 fd:02 10070      /lib/libgcc_s-4.6.1-20110908.so.1
:4c9d0000-4c9d5000 r-xp 00000000 fd:02 24988      /usr/lib/libaudclient.so.2.0.0
:4c9d5000-4c9d6000 rw-p 00005000 fd:02 24988      /usr/lib/libaudclient.so.2.0.0
:4c9d8000-4c9db000 r-xp 00000000 fd:02 51456      /usr/lib/libmcs.so.1.0.0
:4c9db000-4c9dc000 rw-p 00002000 fd:02 51456      /usr/lib/libmcs.so.1.0.0
:4c9de000-4c9ee000 r-xp 00000000 fd:02 22876      /usr/lib/libmowgli.so.2.0.0
:4c9ee000-4c9ef000 rw-p 0000f000 fd:02 22876      /usr/lib/libmowgli.so.2.0.0
:4c9f1000-4ca05000 r-xp 00000000 fd:02 38956      /usr/lib/libaudcore.so.1.0.0
:4ca05000-4ca06000 rw-p 00013000 fd:02 38956      /usr/lib/libaudcore.so.1.0.0
:4ca20000-4ca2c000 r-xp 00000000 fd:02 51454      /usr/lib/libaudtag.so.1.0.0
:4ca2c000-4ca2d000 rw-p 0000c000 fd:02 51454      /usr/lib/libaudtag.so.1.0.0
:4ca2f000-4ca32000 r-xp 00000000 fd:02 51457      /usr/lib/libguess.so.1.0.0
:4ca32000-4ca36000 rw-p 00002000 fd:02 51457      /usr/lib/libguess.so.1.0.0
:4cac0000-4cad0000 r-xp 00000000 fd:02 16481      /usr/lib/libXext.so.6.4.0
:4cad0000-4cad1000 rw-p 00010000 fd:02 16481      /usr/lib/libXext.so.6.4.0
:4cad3000-4cad7000 r-xp 00000000 fd:02 23594      /usr/lib/libXfixes.so.3.1.0
:4cad7000-4cad8000 rw-p 00003000 fd:02 23594      /usr/lib/libXfixes.so.3.1.0
:4cada000-4cb20000 r-xp 00000000 fd:02 51153      /usr/lib/libpulse.so.0.12.3
:4cb20000-4cb21000 rw-p 00045000 fd:02 51153      /usr/lib/libpulse.so.0.12.3
:4cb23000-4cb75000 r-xp 00000000 fd:02 10781      /usr/lib/libpulsecommon-0.9.22.so
:4cb75000-4cb76000 rw-p 00052000 fd:02 10781      /usr/lib/libpulsecommon-0.9.22.so
:4ccd2000-4ccdb000 r-xp 00000000 fd:02 23090      /usr/lib/libXrender.so.1.3.0
:4ccdb000-4ccdc000 rw-p 00008000 fd:02 23090      /usr/lib/libXrender.so.1.3.0
:4ccde000-4cce5000 r-xp 00000000 fd:02 23105      /usr/lib/libXrandr.so.2.2.0
:4cce5000-4cce6000 rw-p 00006000 fd:02 23105      /usr/lib/libXrandr.so.2.2.0
:4cd2b000-4cd2d000 r-xp 00000000 fd:02 24563      /usr/lib/libXinerama.so.1.0.0
:4cd2d000-4cd2e000 rw-p 00001000 fd:02 24563      /usr/lib/libXinerama.so.1.0.0
:4cd30000-4cd39000 r-xp 00000000 fd:02 24352      /usr/lib/libXcursor.so.1.0.2
:4cd39000-4cd3a000 rw-p 00008000 fd:02 24352      /usr/lib/libXcursor.so.1.0.2
:4ce18000-4ce1a000 r-xp 00000000 fd:02 28666      /usr/lib/libXdamage.so.1.1.0
:4ce1a000-4ce1b000 rw-p 00001000 fd:02 28666      /usr/lib/libXdamage.so.1.1.0
:4ce1d000-4ce1e000 r-xp 00000000 fd:02 27717      /usr/lib/libX11-xcb.so.1.0.0
:4ce1e000-4ce1f000 rw-p 00000000 fd:02 27717      /usr/lib/libX11-xcb.so.1.0.0
:4ce32000-4cf67000 r-xp 00000000 fd:02 11699      /usr/lib/libX11.so.6.3.0
:4cf67000-4cf6b000 rw-p 00134000 fd:02 11699      /usr/lib/libX11.so.6.3.0
:4e9b5000-4e9b7000 r-xp 00000000 fd:02 49409      /usr/lib/libXcomposite.so.1.0.0
:4e9b7000-4e9b8000 rw-p 00001000 fd:02 49409      /usr/lib/libXcomposite.so.1.0.0
:4f1ae000-4f29e000 r-xp 00000000 fd:02 27355      /lib/libasound.so.2.0.0
:4f29e000-4f2a2000 rw-p 000f0000 fd:02 27355      /lib/libasound.so.2.0.0
:a3c00000-a3c21000 rw-p 00000000 00:00 0 
:a3c21000-a3d00000 ---p 00000000 00:00 0 
:a3db8000-a3df9000 rw-p 00000000 00:00 0 
:a3dfa000-a3dfb000 ---p 00000000 00:00 0 
:a3dfb000-a45fb000 rw-p 00000000 00:00 0 
:a45fb000-a465b000 rw-s 00000000 00:04 622597     /SYSV00000000 (deleted)
:a465b000-a4700000 r--p 00000000 fd:02 9741       /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf
:a4700000-a4721000 rw-p 00000000 00:00 0 
:a4721000-a4800000 ---p 00000000 00:00 0 
:a4802000-a4803000 ---p 00000000 00:00 0 
:a4803000-a5003000 rw-p 00000000 00:00 0 
:a5003000-a500a000 r--s 00000000 fd:02 11303      /usr/lib/gconv/gconv-modules.cache
:a500a000-a900b000 rw-s 00000000 00:11 127300     /dev/shm/pulse-shm-3892612414
:a900b000-a90bb000 r--p 00000000 fd:02 9745       /usr/share/fonts/dejavu/DejaVuSans.ttf
:a90bb000-a90be000 r--s 00000000 fd:02 21062      /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
:a90be000-a90c4000 r--s 00000000 fd:02 20158      /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
:a90c4000-a90c6000 r--s 00000000 fd:02 17569      /var/cache/fontconfig/711dae798b6bff4224ea2776edcb5c93-le32d4.cache-3
:a90c6000-a90c7000 r--s 00000000 fd:02 28144      /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
:a90c7000-a90c9000 r--s 00000000 fd:02 17567      /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
:a90c9000-a90ca000 r--s 00000000 fd:02 17566      /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
:a90ca000-a90cb000 r--s 00000000 fd:02 17565      /var/cache/fontconfig/ac68f755438cc3dc5a526084839fc7ca-le32d4.cache-3
:a90cb000-a90cc000 r--s 00000000 fd:02 17564      /var/cache/fontconfig/12513961c6e7090f8648812f9eaf65d6-le32d4.cache-3
:a90cc000-a90cd000 r--s 00000000 fd:02 17563      /var/cache/fontconfig/a5c2dc934fad9bbf30c854216245519d-le32d4.cache-3
:a90cd000-a90ce000 r--s 00000000 fd:02 17562      /var/cache/fontconfig/17e60ccdf2eb53b214a9a5d6663eb217-le32d4.cache-3
:a90ce000-a90cf000 r--s 00000000 fd:02 17032      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
:a90cf000-a90d1000 r--s 00000000 fd:02 49425      /var/cache/fontconfig/cfde08ab28ad1d91784abb10973575e3-le32d4.cache-3
:a90d1000-a90d2000 r--s 00000000 fd:02 25288      /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
:a90d2000-a90d3000 r--s 00000000 fd:02 17559      /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
:a90d3000-a90d4000 r--s 00000000 fd:02 17558      /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
:a90d4000-a90d5000 r--s 00000000 fd:02 17557      /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
:a90d5000-a90d6000 r--s 00000000 fd:02 47394      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
:a90d6000-a90d7000 r--s 00000000 fd:02 47402      /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
:a90d7000-a90d8000 r--s 00000000 fd:02 27102      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d4.cache-3
:a90d8000-a90d9000 r--s 00000000 fd:02 47339      /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
:a90d9000-a90da000 r--s 00000000 fd:02 32489      /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
:a90da000-a90db000 r--s 00000000 fd:02 17551      /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
:a90db000-a90dd000 r--s 00000000 fd:02 27782      /var/cache/fontconfig/339f7971f0febd795a89052d3369f043-le32d4.cache-3
:a90dd000-a90e0000 r--s 00000000 fd:02 39113      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
:a90e0000-a90e1000 r--s 00000000 fd:02 17548      /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
:a90e1000-a90e2000 r--s 00000000 fd:02 17547      /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
:a90e2000-a90eb000 r--s 00000000 fd:02 17546      /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
:a90eb000-a910c000 rw-p 00000000 00:00 0 
:a910c000-a910d000 ---p 00000000 00:00 0 
:a910d000-a990d000 rw-p 00000000 00:00 0 
:a990d000-a990e000 ---p 00000000 00:00 0 
:a990e000-aa10e000 rw-p 00000000 00:00 0 
:aa10e000-aa10f000 ---p 00000000 00:00 0 
:aa10f000-aa90f000 rw-p 00000000 00:00 0 
:aa90f000-aa910000 ---p 00000000 00:00 0 
:aa910000-ab110000 rw-p 00000000 00:00 0 
:ab110000-ab170000 rw-s 00000000 00:04 589828     /SYSV00000000 (deleted)
:ab170000-ab18d000 r--s 00000000 fd:02 10775      /usr/share/mime/mime.cache
:ab18d000-ac1d4000 r--p 00000000 fd:02 51090      /usr/share/icons/hicolor/icon-theme.cache
:ac1d4000-b6dfc000 r--p 00000000 fd:02 39326      /usr/share/icons/oxygen/icon-theme.cache
:b6dfc000-b6dfd000 ---p 00000000 00:00 0 
:b6dfd000-b75fd000 rw-p 00000000 00:00 0 
:b75fd000-b77fd000 r--p 00000000 fd:02 27808      /usr/lib/locale/locale-archive
:b77fd000-b780a000 rw-p 00000000 00:00 0 
:b780e000-b7823000 rw-p 00000000 00:00 0 
:bffc3000-bffe4000 rw-p 00000000 00:00 0          [stack]

xsession_errors:
:** (audacious:3128): WARNING **: Could not grab media player keys: The name org.gnome.SettingsDaemon was not provided by any .service files
:** (audacious:3150): WARNING **: Could not grab media player keys: The name org.gnome.SettingsDaemon was not provided by any .service files
:** (audacious:3202): WARNING **: Could not grab media player keys: The name org.gnome.SettingsDaemon was not provided by any .service files
:*** longjmp causes uninitialized stack frame ***: /usr/bin/audacious terminated
:/usr/lib/audacious/Input/cdaudio-ng.so(+0x466a)[0x22066a]
:/usr/bin/audacious[0x805157e]
:/usr/bin/audacious[0x8051afd]
:001fe000-00200000 r-xp 00000000 fd:02 2359372    /usr/lib/audacious/General/gnomeshortcuts.so
:00200000-00201000 rw-p 00001000 fd:02 2359372    /usr/lib/audacious/General/gnomeshortcuts.so
:00201000-0021a000 r-xp 00000000 fd:02 2359374    /usr/lib/audacious/General/gtkui.so
:0021a000-0021c000 rw-p 00018000 fd:02 2359374    /usr/lib/audacious/General/gtkui.so
:0021c000-00223000 r-xp 00000000 fd:02 2359385    /usr/lib/audacious/Input/cdaudio-ng.so
:00223000-00224000 rw-p 00006000 fd:02 2359385    /usr/lib/audacious/Input/cdaudio-ng.so
:002ec000-002f4000 r-xp 00000000 fd:02 2359394    /usr/lib/audacious/Output/alsa.so
:002f4000-002f5000 rw-p 00008000 fd:02 2359394    /usr/lib/audacious/Output/alsa.so
:00c5d000-00c5f000 r-xp 00000000 fd:02 2359321    /usr/lib/audacious/Container/xspf.so
:00c5f000-00c60000 rw-p 00002000 fd:02 2359321    /usr/lib/audacious/Container/xspf.so
:00d85000-00d86000 r-xp 00000000 fd:02 2359371    /usr/lib/audacious/General/cd-menu-items.so
:00d86000-00d87000 rw-p 00000000 fd:02 2359371    /usr/lib/audacious/General/cd-menu-items.so
:00ddb000-00ddd000 r-xp 00000000 fd:02 2359457    /usr/lib/audacious/Transport/unix-io.so
:00ddd000-00dde000 rw-p 00001000 fd:02 2359457    /usr/lib/audacious/Transport/unix-io.so
:08045000-08089000 r-xp 00000000 fd:02 30276      /usr/bin/audacious
:08089000-0808b000 rw-p 00044000 fd:02 30276      /usr/bin/audacious

Comment 1 bugzilla 2011-12-28 02:28:48 UTC
Created attachment 549759 [details]
File: backtrace

Comment 2 Michael Schwendt 2011-12-28 11:35:27 UTC
The actual crash is in libcddb in its DNS resolver timeout handler, with Fedora's fortified source compilation option terminating the program in longjmp().

[ an older discussion of a similar issue in curl can be found in bug 539809 comment 5 ]

Comment 3 Hans de Goede 2011-12-29 14:57:40 UTC
Ah Yes, we've hit the same problems with the co-routine code in spice. I'll apply the work around we use there (doing a real fix requires a lot more work) to the libcddb packages.

Comment 4 Fedora Update System 2011-12-29 15:11:48 UTC
libcddb-1.3.2-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libcddb-1.3.2-7.fc15

Comment 5 Fedora Update System 2011-12-29 15:12:21 UTC
libcddb-1.3.2-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libcddb-1.3.2-7.fc16

Comment 6 Fedora Update System 2011-12-30 00:57:51 UTC
Package libcddb-1.3.2-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcddb-1.3.2-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17535/libcddb-1.3.2-7.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-07 23:01:00 UTC
libcddb-1.3.2-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-01-07 23:09:22 UTC
libcddb-1.3.2-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.